diff mbox

[test_fetch_md5sums_fix] testsuite/test.sh: Add second fetch md5sums test and always use wget -q in testsuite.

Message ID 1381793620-13816-1-git-send-email-ryan.arnold@linaro.org
State New
Headers show

Commit Message

Ryan S. Arnold Oct. 14, 2013, 11:33 p.m. UTC
From: "Ryan S. Arnold" <ryan.arnold@linaro.org>

Tested in src dir and in build dir.
---
 testsuite/test.sh | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

Comments

Ryan S. Arnold Oct. 15, 2013, 3:03 a.m. UTC | #1
On Mon, Oct 14, 2013 at 6:33 PM, Ryan S. Arnold <ryan.arnold@linaro.org> wrote:
> From: "Ryan S. Arnold" <ryan.arnold@linaro.org>
>
> Tested in src dir and in build dir.
> ---
>  testsuite/test.sh | 26 ++++++++++++++++++++++++--
>  1 file changed, 24 insertions(+), 2 deletions(-)
>
> diff --git a/testsuite/test.sh b/testsuite/test.sh
> index 3cb2356..92e1c76 100755
> --- a/testsuite/test.sh
> +++ b/testsuite/test.sh
> @@ -17,12 +17,14 @@ else
>      warning "no host.conf file!"
>      remote_snapshots=http://cbuild.validation.linaro.org/snapshots
>      wget_bin=/usr/bin/wget
> -    wget_quiet=yes
>  fi
>
> +# Use wget -q in the testsuite
> +wget_quiet=yes
> +
>  # We always override $local_snapshots so that we don't damage or move the
>  # local_snapshots directory of an existing build.
> -local_snapshots="`mktemp -d /tmp/cbuild2.XXX`/snapshots"
> +local_snapshots="`mktemp -d /tmp/cbuild2.$$.XXX`/snapshots"
>
>  # Let's make sure that the snapshots portion of the directory is created before
>  # we use it just to be safe.
> @@ -163,6 +165,26 @@ if test $? -eq 0; then
>  else
>      fail "fetch md5sums"
>  fi
> +
> +# Fetching again to test the .bak functionality.
> +out="`fetch md5sums`"
> +if test $? -eq 0; then
> +    pass "fetch md5sums"
> +else
> +    fail "fetch md5sums"
> +fi
> +
> +if test ! -e "${local_snapshots}/md5sums"; then
> +    fail "Did not find ${local_snapshots}/md5sums"
> +else
> +    pass "Found ${local_snapshots}/md5sums"
> +fi
> +
> +if test ! -e "${local_snapshots}/md5sums.bak"; then
> +    fail "Did not find ${local_snapshots}/md5sums.bak"
> +else
> +    pass "Found ${local_snapshots}/md5sums.bak"
> +fi
>  # ----------------------------------------------------------------------------------
>  echo "============= find_snapshot() tests ================"
>
> --
> 1.8.3.1

Commited to master:

commit 88f6b63ad6bd36345c3689b08e787fe03368379d
Author: Ryan S. Arnold <ryan.arnold@linaro.org>
Date:   Mon Oct 14 21:58:50 2013 -0500

    testsuite/test.sh: Add second fetch md5sums test and always use
wget -q in testsuite.
diff mbox

Patch

diff --git a/testsuite/test.sh b/testsuite/test.sh
index 3cb2356..92e1c76 100755
--- a/testsuite/test.sh
+++ b/testsuite/test.sh
@@ -17,12 +17,14 @@  else
     warning "no host.conf file!"
     remote_snapshots=http://cbuild.validation.linaro.org/snapshots
     wget_bin=/usr/bin/wget
-    wget_quiet=yes
 fi
 
+# Use wget -q in the testsuite
+wget_quiet=yes
+
 # We always override $local_snapshots so that we don't damage or move the
 # local_snapshots directory of an existing build.
-local_snapshots="`mktemp -d /tmp/cbuild2.XXX`/snapshots"
+local_snapshots="`mktemp -d /tmp/cbuild2.$$.XXX`/snapshots"
 
 # Let's make sure that the snapshots portion of the directory is created before
 # we use it just to be safe.
@@ -163,6 +165,26 @@  if test $? -eq 0; then
 else
     fail "fetch md5sums"
 fi
+
+# Fetching again to test the .bak functionality.
+out="`fetch md5sums`"
+if test $? -eq 0; then
+    pass "fetch md5sums"
+else
+    fail "fetch md5sums"
+fi
+
+if test ! -e "${local_snapshots}/md5sums"; then
+    fail "Did not find ${local_snapshots}/md5sums"
+else
+    pass "Found ${local_snapshots}/md5sums"
+fi
+
+if test ! -e "${local_snapshots}/md5sums.bak"; then
+    fail "Did not find ${local_snapshots}/md5sums.bak"
+else
+    pass "Found ${local_snapshots}/md5sums.bak"
+fi
 # ----------------------------------------------------------------------------------
 echo "============= find_snapshot() tests ================"